import request from '@/utils/request'
import { parseStrEmpty } from "@/utils/ruoyi";

// 查询任务列表
export function listTask(query) {
    return request({
      url: '/sim/task/list',
      method: 'get',
      params: query
    })
  }
  
// 查询任务详细
export function getTask(taskId) {
    return request({
      url: '/sim/task/' + parseStrEmpty(taskId),
      method: 'get'
    })
  }
  
  // 新增任务
  export function addTask(data) {
    return request({
      url: '/sim/task',
      method: 'post',
      data: data
    })
  }

  // 修改任务
export function updateTask(data) {
    return request({
      url: '/sim/task',
      method: 'put',
      data: data
    })
  }
  
  // 删除任务
  export function delTask(taskId) {
    return request({
      url: '/sim/task/' + taskId,
      method: 'delete'
    })
  }
  // 获取空白的任务详细信息
  export function simTypeTask(simType) {
    return request({
      url: '/sim/task/getInfoForAdd/' + simType,
      method: 'get'
    })
  }